gss_decapsulate_token(3)

NAME
gss_decapsulate_token - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_decapsulate_token(gss_const_buffer_t input_token, gss_const_OID token_oid, gss_buffer_t output_token);

ARGUMENTS

gss_const_buffer_t input_token
    (buffer, opaque, read) Buffer with GSS-API context token.

gss_const_OID token_oid
    (Object ID, read) Expected object identifier of token.

gss_buffer_t output_token
    (buffer, opaque, modify) Decapsulated token data;
      caller must release with gss_release_buffer().

DESCRIPTION
Remove the mechanism-independent token header from an initial GSS-API context token. Unwrap a buffer in the mechanism-independent token format. This is the reverse of gss_encapsulate_token(). The translation is loss-less, all data is preserved as is. This function is standardized in RFC 6339.

RETURN VALUE

`GSS_S_COMPLETE`: Indicates successful completion, and that output parameters holds correct information.

`GSS_S_DEFECTIVE_TOKEN`: Means that the token failed consistency checks (e.g., OID mismatch or ASN.1 DER length errors).

`GSS_S_FAILURE`: Indicates that decapsulation failed for reasons unspecified at the GSS-API level.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.